@import "@material/typography/mdc-typography";

$mdc-theme-primary: #EF6C00;
$mdc-theme-secondary: #8e8e8e;
$mdc-theme-on-primary: #442b2d;
$mdc-theme-on-secondary: #442b2d;

$mat-cell-dimension: 8px;
$mat-icon-cell-dimension: 8px;

$mat-headline1 : 'mdc-typography--headline1';
$mat-headline2 : 'mdc-typography--headline2';
$mat-headline3 : 'mdc-typography--headline3';
$mat-headline4 : 'mdc-typography--headline4';
$mat-headline5 : 'mdc-typography--headline5';
$mat-headline6 : 'mdc-typography--headline6';
$mat-subtitle1 : 'mdc-typography--subtitle1';
$mat-subtitle2 : 'mdc-typography--subtitle2';
$mat-body1 : 'mdc-typography--body1';
$mat-body2 : 'mdc-typography--body2';
$mat-caption: 'mdc-typography--caption';
$mat-overline: 'mdc-typography--overline';

%mat-headline1 {
  @include mdc-typography('headline1');
}
%mat-headline2 {
  @include mdc-typography('headline2');
}
%mat-headline3 {
  @include mdc-typography('headline3');
}
%mat-headline4 {
  @include mdc-typography('headline4');
}
%mat-headline5 {
  @include mdc-typography('headline5');
}
%mat-headline6 {
  @include mdc-typography('headline6');
}
%mat-subtitle1 {
  @include mdc-typography('subtitle1');
}
%mat-subtitle2 {
  @include mdc-typography('subtitle2');
}
%mat-body1 {
  @include mdc-typography('body1');
}
%mat-body2 {
  @include mdc-typography('body2');
}
%mat-caption {
  @include mdc-typography('caption');
}
%mat-overline {
  @include mdc-typography('overline');
}


@mixin mat-top-margin($units) {
  margin-top: $mat-cell-dimension * $units;
}

@mixin mat-bottom-margin($units) {
  margin-bottom: $mat-cell-dimension * $units;
}

@mixin mat-left-margin($units) {
  margin-left: $mat-cell-dimension * $units;
}

@mixin mat-right-margin($units) {
  margin-right: $mat-cell-dimension * $units;
}

@mixin mat-width($units) {
  width: $mat-cell-dimension * $units;
}